Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class MailPreferences.Replying

    java.lang.Object
      portlets.compoze.groupware.pref.MailPreferences.Replying

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MailPreferences

public static class MailPreferences.Replying
extends java.lang.Object
implements java.io.Serializable

This class represents handling of original message when replying.

See Also:
  Serialized Form

Field Summary
`static int` | `RULE_DONT_INCLUDE` This value represents to not include the original message.
`static int` | `RULE_FULL_INCLUDE` This value represents to fully include the original message.

Constructor Summary
`MailPreferences.Replying()` Constructor.
`MailPreferences.Replying(int iIncludeRule)` Constructor.

Method Summary
`int` | `getIncludeRule()` Gets the include rule.
`void` | `setIncludeRule(int iIncludeRule)` Sets the include rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_DONT_INCLUDE

    public static final int RULE_DONT_INCLUDE

  This value represents to not include the original message.

  See Also:
    Constant Field Values

### RULE_FULL_INCLUDE

    public static final int RULE_FULL_INCLUDE

  This value represents to fully include the original message.

  See Also:
    Constant Field Values

Constructor Detail

### MailPreferences.Replying

    public MailPreferences.Replying(int iIncludeRule)

  Constructor.

Parameters:
  `iIncludeRule` - the replying rule

### MailPreferences.Replying

    public MailPreferences.Replying()

  Constructor.

Method Detail

### getIncludeRule

    public int getIncludeRule()

  Gets the include rule.

  Returns:
    the include rule (see `RULE_` constants)

### setIncludeRule

    public void setIncludeRule(int iIncludeRule)

  Sets the include rule.

  Parameters:
    `iIncludeRule` - the include rule (see `RULE_` constants)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.